hledger-lib-0.26: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Data.OutputFormat

# Documentation

parseStringFormat :: String -> Either String [OutputFormat] Source

formatsp :: Stream [Char] m Char => ParsecT [Char] st m [OutputFormat] Source

formatValue :: Bool -> Maybe Int -> Maybe Int -> String -> String Source

data OutputFormat Source

Constructors

FormatLiteral String |
FormatField Bool (Maybe Int) (Maybe Int) HledgerFormatField |

Instances

Eq OutputFormat Source |
Show OutputFormat Source |

data HledgerFormatField Source

Constructors

AccountField |
DefaultDateField |
DescriptionField |
TotalField |
DepthSpacerField |
FieldNo Int |

Instances

Eq HledgerFormatField Source |
Show HledgerFormatField Source |

tests :: Test Source